curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/planx/users/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataGb": 5,
"ips": [
"203.0.113.10",
"203.0.113.11"
]
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/planx/users/create"
payload = {
"dataGb": 5,
"ips": ["203.0.113.10", "203.0.113.11"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataGb: 5, ips: ['203.0.113.10', '203.0.113.11']})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/planx/users/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "test124",
"userId": "test124",
"password": "<string>",
"dataLimit": 5,
"dataUsed": 1.2,
"dataRemaining": 3.8,
"status": "active",
"dateCreated": "2023-11-07T05:31:56Z",
"whitelistedIps": [
"203.0.113.10",
"203.0.113.11"
]
}{
"statusCode": 400,
"message": "User <username or user_id> already exists",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Create a sub-user
Creates a sub-user under the Plan X reseller account by specifying a data allocation (input: dataGb, in GB) and an optional list of IPs to whitelist (input: ips). Returns the created user’s details, including userId, username, password, status, dataLimit, dataUsed, dateCreated, and whitelistedIps.
Authorizations
[just text field] Please enter token in following format: Bearer
Body
Response
User created
Username of the sub-user
"test124"
Unique identifier of the sub-user (same value as username)
"test124"
Current password of the sub-user
Total data allocated to the sub-user, in GB
5
Amount of data used by the sub-user so far, in GB
1.2
Amount of data remaining for the sub-user, in GB (dataLimit minus dataUsed)
3.8
Current status of the sub-user
active, inactive "active"
Date and time the sub-user was created
List of IP addresses whitelisted for the sub-user
["203.0.113.10", "203.0.113.11"]

